JasPer 4.2.8 |

Loading...
Searching...
No Matches
jas_image_fmt_t Struct Reference

Entry in image format table. More...

## Public Attributes
const char * | name
const char * | desc
const char * | exts
const jas_image_fmtops_t | ops
int | enabled

## Detailed Description

Entry in image format table.

## Member Data Documentation

## ◆ desc

const char* jas_image_fmt_t::desc

A short description of the format.

## ◆ enabled

int jas_image_fmt_t::enabled

A boolean flag indicating if the format is enabled.

## ◆ exts

const char* jas_image_fmt_t::exts

A whitespace delimited list of file extensions associated with the format.

## ◆ name

const char* jas_image_fmt_t::name

A unique name identifying the format.

## ◆ ops

const jas_image_fmtops_t jas_image_fmt_t::ops

The operations for the format (e.g., encode, decode, and validate).

The documentation for this struct was generated from the following file:

- jas_init.c